Update resource map generation script for production
2012-03-07 19:46 - Dave Vieglais

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Dave Vieglais % Done: 100%
Category: di1_client_cli Estimated time: 0.00 hour

Target version:

Story Points:

Description
As a DataONE user, | need a tool for creating OAI-ORE packaging documents that bind science metadata and data objects so that

these can be added to the DataONE infrastructure. The tool should accept identifiers for one or more data objects and science
metadata objects and generate a OAIORE RDF document that represents the relationships between those objects.

A rudimentary script for generating resource maps (OAIORE documents) is available at:
https://repository.dataone.org/software/cicore/trunk/d1_instance_generator/src/d1_instance_generator/oaiore.py

This should be functional but needs to be updated to conform with latest schema revisions and the script is not particularly friendly.

Notes related to OAIORE are available at:

http://mule1.dataone.org/ArchitectureDocs-current/design/DataPackage.html

Subtasks:

Task # 2552: Add "package" command to the CLI Closed
Task # 2609: Document CLI "package" feature set. Closed
History

#1 - 2012-03-07 21:08 - Matthew Jones

Note that there is also some support for this in the d1_libclient_java DataPackage class, which is currently incomplete and needs to be updated, but is
close. It uses the ResourceMapFactory class to generate ORE documents.

#2 - 2012-03-14 16:23 - Andrew Pippin

- Status changed from New to In Progress

#3 - 2012-03-28 15:25 - Andrew Pippin
- % Done changed from 0 to 50

A new "package" command has been implemented in the Python CLI. Currently, it only packages objects that already exist in DataONE.

#4 - 2012-05-07 21:44 - Andrew Pippin

- Assignee changed from Andrew Pippin to Dave Vieglais

Dave,

Functionality was added to the Python client Command-Line Interface (CLI) instead of updating this code. Currently, then implementation only
supports any number of science data objects with a single science metadata object describing them all. Future versions will allow multiple science
metadata objects that can describe arbitrary science data objects in the package.

I'm assigning this back to you for disposition.
#5 - 2014-10-02 17:52 - Bruce Wilson
- Status changed from In Progress to Closed

- Start date deleted (2012-03-30)

These scripts are available and there are multiple resources available for generating resource maps. Bruce has an action item to review the available

resource map documentation and tools, particularly in light of the experiences with MPC, the plans to write a resource map tester, and the various MN
stacks.
